These are chat archives for HotswapProjects/user

31st
Mar 2017
Vladimir Dvorak
@skybber
Mar 31 2017 05:04
Looks that you don't running dcevm
Gonzalo Tirapegui
@GonzaloTirapegu_twitter
Mar 31 2017 12:23

I don't think so , the server starts with this log :
HOTSWAP AGENT: 10:20:03.288 INFO (org.hotswap.agent.HotswapAgent) - Loading Hotswap agent {1.1.0-SNAPSHOT} - unlimited runtime class redefinition.
HOTSWAP AGENT: 10:20:04.101 INFO (org.hotswap.agent.config.PluginRegistry) - Discovered plugins: [Hotswapper, WatchResources, AnonymousClassPatch, ClassInitPlugin, Hibernate, Hibernate3JPA, Hibernate3, Spring, Jersey1, Jersey2, Jetty, Tomcat, ZK, Logback, Log4j2, MyFaces, Mojarra, Seam, ELResolver, WildFlyELResolver, OsgiEquinox, Owb, Proxy, WebObjects, Weld, JBossModules, ResteasyRegistry, Deltaspike, JavaBeans, GlassFish]
Launching GlassFish on Felix platform ...

and i've added this options to the domain.xml file :

<jvm-options>-XXaltjvm=dcevm</jvm-options>

<jvm-options>-javaagent:C:/temp/hotswap-agent-1.1.0-SNAPSHOT.jar</jvm-options>

Vladimir Dvorak
@skybber
Mar 31 2017 13:42
Make sure if the jvm-option is passed to JVM (using ps command), since it should work. Another issue is your hosting JVM, I would recommend you to upgrade to 8u112 at least since we have fixed some major issues in dcevm in 8u112 and later.
Gonzalo Tirapegui
@GonzaloTirapegu_twitter
Mar 31 2017 13:53
When i try to install that version on JDK/JRE 1.8.0_77 it shows a message that says "Could not get dceversion of C:\Program Files\Java\jdk1.8.0_77)
Vladimir Dvorak
@skybber
Mar 31 2017 17:10
Ahh, I mean use openjdk 8u112 (or 8u121) as hosting JVM and on the top install dcevm8u112. dcevm8u112 is probably not compatible with erlier openjdk versions